Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind
Class ErrorManager

    java.lang.Object
      com.google.gwt.inject.rebind.ErrorManager

    public class ErrorManager

extends java.lang.Object

Manages errors that occur during the binding process. Keeps track of whether we've found an error so we can eventually throw an `UnableToCompleteException`. We do this instead of throwing immediately so that we can find more than one error per compilation cycle.

Constructor Summary
`ErrorManager(com.google.gwt.core.ext.TreeLogger logger)`

Method Summary
`void` | `checkForError()`
`void` | `logDoubleBind(Key<?> key, Binding binding1, GinjectorBindings ginjector1, Binding binding2, GinjectorBindings ginjector2)`
`void` | `logError(java.lang.String message, java.lang.Object... args)`
`void` | `logError(java.lang.String message, java.lang.Throwable t, java.lang.Object... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorManager

    @Inject
    public ErrorManager(com.google.gwt.core.ext.TreeLogger logger)

Method Detail

### logDoubleBind

    public void logDoubleBind(Key<?> key,
                              Binding binding1,
                              GinjectorBindings ginjector1,
                              Binding binding2,
                              GinjectorBindings ginjector2)

### logError

    public void logError(java.lang.String message,
                         java.lang.Object... args)

### logError

    public void logError(java.lang.String message,
                         java.lang.Throwable t,
                         java.lang.Object... args)

### checkForError

    public void checkForError()
                       throws com.google.gwt.core.ext.UnableToCompleteException

  Throws:
    `com.google.gwt.core.ext.UnableToCompleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD